/*!\file MatlabVectorToSeqVec.cpp
 */

/*Headers:*/
/*{{{*/
#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include <mex.h>
#include <stdio.h>
#include <string.h>
#include "../../toolkits/toolkits.h"
#include "../../shared/shared.h"
#include "./matlabio.h"

/*}}}*/

SeqVec* MatlabVectorToSeqVec(const mxArray* dataref){

	SeqVec* output=NULL;

	output=new SeqVec();
	MatlabVectorToDoubleVector(&output->vector,&output->M,dataref);
	return output;

}
